> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member

<Note>
  **OAuth scope:** `memberships_read`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml /openapi/membership.json GET /open-api/v1.1/memberships/members/{id}
openapi: 3.1.0
info:
  title: OpenAPI
  version: 0.0.1
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
paths:
  /open-api/v1.1/memberships/members/{id}:
    get:
      tags:
        - Members
      summary: Get Member
      operationId: get-member
      parameters:
        - name: X-ShopId
          in: header
          required: false
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.V1.Member'
      security:
        - oauth:
            - memberships_read
        - basicAuth: []
components:
  schemas:
    Response.V1.Member:
      type: object
      properties:
        id:
          type: integer
        nickname:
          type: string
        email:
          type: string
        avatarUrl:
          type: string
        tier:
          $ref: '#/components/schemas/Response.V1.Member.Tier'
        state:
          oneOf:
            - $ref: '#/components/schemas/Response.V1.Member.State.Active'
            - $ref: '#/components/schemas/Response.V1.Member.State.Expiring'
            - $ref: '#/components/schemas/Response.V1.Member.State.None'
            - $ref: '#/components/schemas/Response.V1.Member.State.PastDue'
            - $ref: '#/components/schemas/Response.V1.Member.State.Former'
        joinedAt:
          type: string
          format: date-time
        accountOrigin:
          type: string
          enum:
            - Checkout
            - FreeAccount
        shadowBanned:
          type: boolean
        conversationId:
          type: integer
        cancelRequest:
          $ref: '#/components/schemas/Response.V1.Member.CancelRequest'
        badges:
          type: array
          items:
            $ref: '#/components/schemas/Response.V1.Member.Badges.Badge'
        wantsToReceiveBenefits:
          type: boolean
        shippingAddress:
          $ref: '#/components/schemas/Response.V1.Member.Addresses.Shipping'
        creatorNotes:
          $ref: '#/components/schemas/Response.V1.Member.CreatorNotes'
      required:
        - id
        - nickname
        - email
        - state
        - joinedAt
        - shadowBanned
        - cancelRequest
        - creatorNotes
      title: Member
    Response.V1.Member.Tier:
      type: object
      properties:
        name:
          type: string
        billingCycle:
          type: string
          enum:
            - Monthly
            - Annual
        askForShippingAddress:
          type: boolean
      required:
        - name
        - billingCycle
        - askForShippingAddress
      title: Tier
    Response.V1.Member.State.Active:
      type: object
      properties:
        type:
          type: string
          enum:
            - Active
        subscribedAt:
          type: string
          format: date-time
        freeTrialEndsAt:
          type: string
          format: date-time
      required:
        - subscribedAt
      title: Active
    Response.V1.Member.State.Expiring:
      type: object
      properties:
        type:
          type: string
          enum:
            - Expiring
        subscribedAt:
          type: string
          format: date-time
        expiresAt:
          type: string
          format: date-time
        freeTrialEndsAt:
          type: string
          format: date-time
      required:
        - subscribedAt
        - expiresAt
      title: Expiring
    Response.V1.Member.State.None:
      type: object
      properties:
        type:
          type: string
          enum:
            - None
      title: None
    Response.V1.Member.State.PastDue:
      type: object
      properties:
        type:
          type: string
          enum:
            - PastDue
        subscribedAt:
          type: string
          format: date-time
        previousPeriodEnd:
          type: string
          format: date-time
      required:
        - subscribedAt
        - previousPeriodEnd
      title: Past Due
    Response.V1.Member.State.Former:
      type: object
      properties:
        type:
          type: string
          enum:
            - Former
        subscribedAt:
          type: string
          format: date-time
        expiredAt:
          type: string
          format: date-time
      required:
        - subscribedAt
        - expiredAt
      title: Former
    Response.V1.Member.CancelRequest:
      oneOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - Allowed
            subscriptionCurrentPeriodEnd:
              type: string
              format: date-time
          required:
            - type
            - subscriptionCurrentPeriodEnd
        - type: object
          properties:
            type:
              type: string
              enum:
                - Disabled
            reason:
              type: string
              enum:
                - SubscriptionNotActive
                - AlreadyRequested
                - IapSubscription
          required:
            - type
            - reason
      title: Cancel Request
    Response.V1.Member.Badges.Badge:
      type: object
      properties:
        id:
          type: integer
        emojiIcon:
          type: string
        icon:
          oneOf:
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - Emoji
                emojiIcon:
                  type: string
              required:
                - type
                - emojiIcon
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - ImageResource
                url:
                  type: string
              required:
                - type
                - url
        text:
          type: string
        textColor:
          type: string
        backgroundColor:
          type: string
        borderColor:
          type: string
        assignedAt:
          type: string
          format: date-time
        minimal:
          type: boolean
      required:
        - id
        - icon
        - text
        - assignedAt
        - minimal
      title: Badge
    Response.V1.Member.Addresses.Shipping:
      type: object
      properties:
        name:
          type: string
        address1:
          type: string
        address2:
          type: string
        city:
          type: string
        state:
          type: string
        zip:
          type: string
        country:
          type: string
        phone:
          type: string
        vatId:
          type: string
      required:
        - name
        - address1
        - city
        - country
      title: Shipping
    Response.V1.Member.CreatorNotes:
      type: object
      properties:
        note:
          type:
            - string
            - 'null'
      required: []
      title: Creator Notes
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            memberships_read: memberships_read
            memberships_write: memberships_write
    basicAuth:
      type: http
      scheme: basic

````